
Redmine - Defect #31937

HTML-Tags are not interpreted correctly / removed from the Ticket.

2019-08-22 16:24 - Dominik Kro

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.4

Description

Environment:

Redmine version                4.0.4.stable

Ruby version                   2.6.3-p62 (2019-04-16) [x86_64-linux]

Rails version                  5.2.3

Environment                    production

Database adapter               PostgreSQL

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Git                            2.17.1

Filesystem

Redmine plugins:

redmine_ckeditor               1.2.2

redmine_image_clipboard_paste  3.3.0

Hi all,

I've got a problem with my redmine configuration. I'm fetching E-Mails through IMAP and rake. That's working like a charm, but

unfortunately the HTML-Tags are not displayed correctly / removed within the ticket. According to the Redmine-Documentation

https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails

the mail handler should do that which it dont.

I'm using textile as text-editor.

Could you help me with that?

Thanks in advance!

Dominik

History

#1 - 2019-08-22 16:48 - Sven Vogt

Hi all,

I have the same problem. I'm also working with textile.

Environment:

Redmine version                4.0.4.stable

Ruby version                   2.5.5-p157 (2019-03-15) [x64-mingw32]

Rails version                  5.2.3

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

3 days ago, it worked correctly. Since that time, I installed the following plugins:

redmine_ckeditor (was temporarily active for testing in a test-project, but switched then back to textile)

redmine_issue_dynamic_edit

redmine_recurring_tasks
redmine_auto_assign_group

redmine_per_project_formatting-0.1.0 (which I have meanwhile uninstalled)

Can someone help me?

Thanks, Sven

#2 - 2019-09-01 09:59 - Go MAEDA

Could you test again after uninstalling all plugins?

#3 - 2019-12-19 12:26 - Dominik Kro

- Status changed from New to Resolved

Hello again,

Thanks to Go MAEDA, the problem is the redmine_ckeditor plugin.

Uninstalled the plugin now it's working.

Best regards,

Dominik

#4 - 2019-12-19 13:09 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback. I am closing this issue.

Files

mailtags.png 10.7 KB 2019-08-22 Dominik Kro

mail_handler_controller.rb 1.43 KB 2019-08-22 Dominik Kro

mail_handler.rb 20.7 KB 2019-08-22 Dominik Kro
